## Class TPagedListIterator

Description

Implements interfaces:

TPagedListIterator class

TPagedListIterator implements Iterator interface.

TPagedListIterator is used by TPagedDataSource. It allows TPagedDataSource to return a new iterator for traversing the items in a TList object.

- since: 3.0
- version: $Id: TPagedDataSource.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TPagedDataSource.php (line 284)

Method Summary
TPagedListIterator __construct (TList $list, integer $startIndex, integer $count)
mixed current ()
integer key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 297)

Constructor.

- access: public

TPagedListIterator __construct (TList $list, integer $startIndex, integer $count)

- TList $list: the data to be iterated through
- integer $startIndex: start index
- integer $count: number of items to be iterated through

current (line 332)

Returns the current array item.

This method is required by the interface Iterator.

- return: the current array item
- access: public

mixed current ()
key (line 322)

Returns the key of the current array item.

This method is required by the interface Iterator.

- return: the key of the current array item
- access: public

integer key ()
next (line 341)

Moves the internal pointer to the next array item.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 312)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 351)

Returns whether there is an item at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:35:46 -0400 by phpDocumentor 1.3.0RC4